[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFPList.Move

Moves a pointer from one position in the list to another.

## Declaration

Source position: classesh.inc line 261

`public procedure TFPList.Move(`
`CurIndex: Integer;`
`NewIndex: Integer`
`);`

## Description

Move moves the pointer at position CurIndex to position NewIndex. This is done by storing the value at position CurIndex, deleting the pointer at position CurIndex, and reinserting the value at position NewIndex

If CurIndex or Newindex are not inside the valid range of indices, an EListError exception is raised.

## See also

Exchange |  | Exchanges two pointers in the list.

Documentation generated on: Feb 26 2014